package com.pcloud.book.rightsSetting.dao;

import com.pcloud.book.rightsSetting.entity.RightsItemGroup;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * @ClassName com.pcloud.book.rightsSetting.dao.RightsItemGroupDao
 * @Author ruansiyuan
 * @Description 权益配套资料分组数据层
 * @Date 2020/4/26 16:26
 * @Version 1.0
 **/
public interface RightsItemGroupDao extends BaseDao<RightsItemGroup> {

    Integer batchInsert(List<RightsItemGroup> list);

    void deleteByRightsSettingId(Long rightsSettingId);

    List<RightsItemGroup> getListByRightSettingId(Long rightsSettingId);
}